Skip to navigation

Delete an org-level secret

Delete a secret for an organization.

Authentication

AuthorizationBearer

Personal API Key (apk_user_) or Service API Key (apk_)

Path parameters

secret_idstringRequired

Secret ID (prefix: secret-)

org_idstringRequired

Response

Successful Response
access_typeenum

Scope of the secret: org or personal.

Allowed values:
created_atinteger
ISO 8601 timestamp when the secret was created.
created_bystring
User ID of the creator.
is_sensitiveboolean
Whether the value is masked in the UI.
keystring or null

Name/key of the secret.

notestring or null

Human-readable description of the secret purpose.

secret_idstring

Unique identifier for the secret (prefix secret-).

secret_typeenum

Type of the secret: key-value, cookie, dictionary, or totp.

Allowed values:
updated_atinteger or nullOptional
ISO 8601 timestamp of the last update.
updated_bystring or nullOptional
User ID of the last person to update the secret.

Errors

422
Unprocessable Entity Error